#
# spec file for package xtables-addons (Version 1.22)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#



Name:           xtables-addons
Version:        1.22
Release:        2
Group:          Productivity/Networking/Security
Summary:        IP Packet Filter Administration Extensions
License:        GPL
Url:            http://xtables-addons.sf.net/
Source:         %name-%version.tar.bz2
#Git-Clone:	git://xtables-addons.git.sf.net/gitroot/xtables-addons/xtables-addons
#Git-Web:	http://xtables-addons.git.sf.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %kernel_module_package_buildreqs
BuildRequires:  iptables-devel >= 1.4.3
BuildRequires:  pkg-config >= 0.23
Requires:       %name-kmp
# Yes, we've got a lot of good stuff!
Provides:       ipset = 4.1
Recommends:     xtables-geoip
%kernel_module_package

%description
Xtables is used to set up, maintain, and inspect the tables of IP
packet filter rules in the Linux kernel.

Xtables-addons is the successor to patch-o-matic(-ng). Likewise, it
contains extensions that were not, or are not yet, accepted in the
main kernel/iptables packages.

%package KMP
Group:          Hardware/Other
License:        GPL
Summary:        IP Packet Filter Administration Extensions

%description KMP
Xtables is used to set up, maintain, and inspect the tables of IP
packet filter rules in the Linux kernel.

Xtables-addons is the successor to patch-o-matic(-ng). Likewise, it
contains extensions that were not, or are not yet, accepted in the
main kernel/iptables packages.

%prep
%setup -q
if [ ! -e configure ]; then
	./autogen.sh;
fi;

%build
pushd ../;
for flavor in %flavors_to_build; do
	cp -a "%name-%version" "%name-$flavor-%version";
	pushd "%name-$flavor-%version/";
	%configure --with-kbuild="/usr/src/linux-obj/%_target_cpu/$flavor";
	make %{?_smp_mflags};
	popd;
done;

%install
b="%buildroot";
rm -Rf "$b";
mkdir "$b";
pushd ../;
for flavor in %flavors_to_build; do
	pushd "%name-$flavor-%version/";
	make install DESTDIR="$b";
	popd;
done;
# There is no -devel package. So no need for these files.
find "$b/%_prefix" -iname "*.la" -print0 | xargs -0r rm -f;
find "$b/%_libdir" -maxdepth 1 -type l -iname "*.so" -print0 | xargs -0r rm -f;

%clean
rm -Rf "%buildroot";

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%_mandir/*/*
%_sbindir/*
%_libdir/*.so.*
%_libexecdir/xtables

%changelog
